summaryrefslogtreecommitdiffstats
path: root/external/meta-updater/scripts/find_aktualizr_dependencies.sh
diff options
context:
space:
mode:
authorToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
committerToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
commit5b80bfd7bffd4c20d80b7c70a7130529e9a755dd (patch)
treeb4bb18dcd1487dbf1ea8127e5671b7bb2eded033 /external/meta-updater/scripts/find_aktualizr_dependencies.sh
parent706ad73eb02caf8532deaf5d38995bd258725cb8 (diff)
agl-basesystem
Diffstat (limited to 'external/meta-updater/scripts/find_aktualizr_dependencies.sh')
-rwxr-xr-xexternal/meta-updater/scripts/find_aktualizr_dependencies.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/external/meta-updater/scripts/find_aktualizr_dependencies.sh b/external/meta-updater/scripts/find_aktualizr_dependencies.sh
new file mode 100755
index 00000000..493df800
--- /dev/null
+++ b/external/meta-updater/scripts/find_aktualizr_dependencies.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -euo pipefail
+
+parentdir="$(dirname "$0")"
+
+# Does NOT include garage-sign, anything used only for testing (i.e. strace and
+# gtest), any of the git submodules, all of which are also only used for
+# testing (tuf-test-vectors, isotp-c, ostreesysroot, and HdrHistogram_c), or
+# any other third party modules included directly into the source tree
+# (jsoncpp, open62541, picojson). Also check libp11, dpkg, and systemd since
+# those are common dependencies not enabled by default.
+${parentdir}/find_dependencies.py aktualizr
+${parentdir}/find_dependencies.py aktualizr-shared-prov
+${parentdir}/find_dependencies.py aktualizr-shared-prov-creds
+${parentdir}/find_dependencies.py aktualizr-device-prov
+${parentdir}/find_dependencies.py aktualizr-device-prov-creds
+${parentdir}/find_dependencies.py aktualizr-device-prov-hsm
+${parentdir}/find_dependencies.py aktualizr-auto-reboot
+${parentdir}/find_dependencies.py aktualizr-disable-send-ip
+${parentdir}/find_dependencies.py aktualizr-log-debug
+${parentdir}/find_dependencies.py aktualizr-polling-interval
+${parentdir}/find_dependencies.py libp11
+${parentdir}/find_dependencies.py dpkg
+${parentdir}/find_dependencies.py systemd
+